/*DOCTYPE CSS */

body {
  background-color: #fff;
  width: 100% !important;
  margin: 0px;
  font-family: 'Cormorant', serif;
}

/* ==========================================================================
								TABLE OF CONTENTS

			1. PAGE & TEXT STYLE
			2. NAVIGATION BAR
			3. FOOTER
			4. BANNERS
			5. BUTTONS
			6. PORTFOLIO LAYOUT AND TEXT OVERLAY
			7. IMAGE GRIDS
			8. MEDIA QUIERIES

========================================================================== */
/* ==========================================================================
1. PAGE & TEXT STYLE
========================================================================== */

.Page-center {
  max-width: 1200px;
  margin: auto;
  box-sizing: border-box;
}

.Page-center h1 {
  font-size: 2.5em;
  text-align: center;
}

.Solgt {
  font-style: oblique;
  color: RED;
  font-weight: bold;
}

.TwoColumnBox {
  display: flex;
  grid-template-columns: 0.8fr 0.3fr;
  width: 100% !important;
  justify-content: center;
}

.TwoColumnBox div {
  padding: 30px;
  position: relative;
  text-align: justify;
  margin-bottom: 0px;
}

.TwoColumnBox img {
  width: auto;
  max-height: 300px;
}

.background-image-AboutUs {
  background-image: url('Images/DSC01702.JPG');
  background-size: cover;
  background-repeat: no-repeat;
  min-height: calc(100vh - 96px);
  position: relative;
}





/* ==========================================================================
2. NAVIGATION BAR
========================================================================== */
.Navbar {
  display: grid;
  grid-template-columns: 0.7fr 0.7fr 0.7fr 3fr 1fr;
  background-color: rgb(17, 34, 51, 0.9);
  text-align: center;
  font-size: 16px;
  width: 100%;
  border: none;
  position: fixed;
  z-index: 100;
}

.Navbar .Navbotton {
  text-decoration: none;
  color: white;
  padding: 20px 10px;
}

.Navbar .Navbotton:hover {
  background-color: rgba(160, 135, 209, 0.8);
}

.Navbar .logo {
  width: 18%;
  margin: 0px;
  height: inherit;
  padding: 15px 5px 0px 5px;
}

/* ==========================================================================
3. FOOTER
========================================================================== */
.Footer {
  background-color: rgb(17, 34, 51);
  min-height: 80px;
  width: 100% !important;
  color: #fff;
  text-align: left;
}

.Footer div {
  padding: 10px 50px;
}

.Footer p {
margin: 4px 0px;
}
/* ==========================================================================
4. BANNERS
========================================================================== */
.Banner_Home {
  min-height: calc(100vh - 94.5px);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 100% !important;
  position: relative;
}

.Banner-content {
  width: 30%;
  position: absolute;
  top: 50%;
  left: 80%;
  transform: translate(-50%, -50%);
  font-size: 3vw;
  font-weight: bold;
  color: #fff;
  background-color: rgb(0, 0, 0, 0.5);
  text-align: center;
  padding: 2%;
}

.Banner-content h1 {
  font-size: 2em;
  margin: 10px 0px;
}

.Banner-content p {
  font-size: 1em;
  margin: 10px 0px;
}

/* ==========================================================================
5. BUTTONS
========================================================================== */
.readmore {
  border: none;
  outline: none;
  background-color: orange;
  font-family: inherit;
  padding: 20px;
  width: auto;
  border-radius: 20%;
}

.readmore a {
  color: #f2f2f2;
  text-align: center;
  text-decoration: none;
  min-width: 70px;
  font-size: 1.2vw;
  font-weight: bold;
}

/* ==========================================================================
6. PORTFOLIO LAYOUT AND TEXT OVERLAY
========================================================================== */
.ThreeColumnBox {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: left;
  width: 100% !important;
}

.ThreeColumnBox div {
  position: relative;
  display: flex;
  justify-content: center;
  text-align: center;
  width: calc(33% - 80px);
}

.ThreeColumnBox img {
  width: auto;
  max-width: 100%;
  max-height: 300px;
  cursor: pointer;
  box-shadow: 2px 2px 2px 2px rgb(0, 0, 0, 0.5);
  margin-bottom: 20px;
}

.background-lightgreen, .background-lightpink, .background-lightyellow, .background-lightblue, .background-lightpurple, .background-lightgrey  {
  padding: 30px 20px;
  margin: 10px 20px;
  background-color: #fff;
  box-shadow: 5px 6px 10px 0px rgb(0 0 0 / 30%);
  border-radius: 5px;
}

.ThreeColumnBox .TextOverlay {
  position: absolute;
  bottom: 10px;
  left: 0;
  right: 0;
  height: auto;
  width: 100%;
  opacity: 1;
  font-size: 18px;
  color: #000;
  z-index: 10;
  padding: 0;
}

.TextOverlay p {
  margin: 0px;
}

/* ==========================================================================
7. IMAGE GRIDS
========================================================================== */
.Image-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 50px;
  grid-row-gap: 5px;
  text-align: center;
}

.Image-grid div {
  border: 2px solid #000;
  border-radius: 5px;
  min-height: 230px;
  max-height: 25%;
  padding: 10px;
  background-color: rgb(166, 147, 204, 0.5);
}

.Image-grid img {
  width: 100%;
  height: 100%;
}

.Three-part-image {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 10px;
  padding: 40px 20px;
}

.Three-part-image div {
  padding: 0px;
}

.Three-part-image img {
  width: 100%;
  height: 100%;
  margin: 0px;
}


.Two-part-image div {
  padding: 0px;
}

.Two-part-image img {
  width: auto;
  max-width: 50%;
  margin-right: 10px;
  
}

/* ============= Zoom Images on click  ==========  */

.zoom-leftcolumn:active{
  z-index: 99999;
   transform: translate(210px, 80px) scale(1.8);
   box-shadow: 5px 5px 5px 5px rgb(0, 0, 0, 0.5);
   border-radius: 10px;
  }

.zoom-midcolumn:active{
  z-index: 99999;
   transform: translate(0px, 80px) scale(1.8);
   box-shadow: 5px 5px 5px 5px rgb(0, 0, 0, 0.5);
   border-radius: 10px;
  }

.zoom-rightcolumn:active{
  z-index: 99999;
   transform: translate(-210px, 80px) scale(1.8);
   box-shadow: 5px 5px 5px 5px rgb(0, 0, 0, 0.5);
   border-radius: 10px;
  }


/* ==========================================================================
8. MEDIA QUIERIES
========================================================================== */
/* =============== Landscape phones and smaller devices =============== */

@media screen and (max-width: 700px) {
  .Navbar {
  grid-template-columns: 1fr 1fr 1fr 0.5fr 2fr;
  font-size: 14px;
  }
  
  
  .Banner-content {
  width: 60%;
  left: 60%;
  font-size: 6vw;
  padding: 4%;
}
  
.ThreeColumnBox div {
  position: relative;
  display: flex;
  justify-content: center;
  text-align: center;
  width: calc(50% - 40px);
  padding: 40px 20px;
}  
  
  .TwoColumnBox {
  display: block;
  position: relative !important;
  width: calc(100% - 30px) !important;
  padding: 20% 15px 15px 15px;
}
  .TwoColumnBox div {
  padding: 0px;
  position: relative;
  text-align: justify;
  margin-bottom: 0px;
}
    .zoom-leftcolumn:active, .zoom-midcolumn:active, .zoom-rightcolumn:active{
     z-index: 10;
     transform: none;
     box-shadow: 5px 6px 10px 0px rgb(0 0 0 / 30%);
     border-radius: 5px;
    }
}

/* =============== Landscape phones and smaller devices =============== */
@media screen and (max-width: 479px) {
  .Image-grid {
    display: block;
  }

.ThreeColumnBox div {
  width: calc(100% - 40px);

}  
}